Skip to main content
`Ctrl`+`K`

# AORegister

Register an application ordering method

## Synopsis

    #include "petscao.h"
    PetscErrorCode AORegister(const char sname[], PetscErrorCode (*function)(AO))

Not Collective, No Fortran Support

## Input Parameters

- sname - the name (`AOType`) of the `AO` scheme

- function - the create routine for the application ordering method

## See Also

`AO`, `AOType`, `AOCreate()`, `AORegisterAll()`, `AOBASIC`, `AOADVANCED`, `AOMAPPING`, `AOMEMORYSCALABLE`

## Level

advanced

## Location

src/vec/is/ao/interface/aoreg.c

Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages